#ifndef __TSNEVENT_HPP__
#define __TSNEVENT_HPP__


class TSN_Event:public CPA_SaveObject
{
public:
	BOOL fn_bEngineLoad(void);
	SND_tdstBlockEvent * m_pEngineEvent;
	
	virtual void *GetData(void);
	virtual long GetDataType(void) { return -1;}
	
	TSN_Event();
	~TSN_Event(void){};

	static SCR_tde_Anl_ReturnValue m_fn_eLoad(SCR_tdst_File_Description *p_fFile, char *szAction, char *szParams[], SCR_tde_Anl_Action cType);
};

#endif //__TSNEVENT_HPP__
